summaryrefslogtreecommitdiff
path: root/utils/searxng.sh
diff options
context:
space:
mode:
Diffstat (limited to 'utils/searxng.sh')
-rwxr-xr-xutils/searxng.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/utils/searxng.sh b/utils/searxng.sh
index 58f220e1f..e7aa8ed15 100755
--- a/utils/searxng.sh
+++ b/utils/searxng.sh
@@ -295,7 +295,7 @@ In your instance, redis DB connector is configured at:
${redis_url}
"
- if searxng.instance.exec python -c "from searx.shared import redisdb; redisdb.init() or exit(42)"; then
+ if searxng.instance.exec python -c "from searx.shared import redisdb; redisdb.initialize() or exit(42)"; then
info_msg "SearXNG instance is able to connect redis DB."
return
fi
@@ -684,7 +684,7 @@ To install uWSGI use::
die 42 "SearXNG's uWSGI app not available"
fi
- if ! searxng.instance.exec python -c "from searx.shared import redisdb; redisdb.init() or exit(42)"; then
+ if ! searxng.instance.exec python -c "from searx.shared import redisdb; redisdb.initialize() or exit(42)"; then
rst_para "\
The configured redis DB is not available: If your server is public to the
internet, you should setup a bot protection to block excessively bot queries.